diff packages/hal/arm/cma230/current/misc/STUBS_config @ 50:a0774359f013 ecos-sw-1999-11-02

Merge from eCos master repository on 1999-11-02-17:02:15-GMT
author jlarmour
date Tue, 02 Nov 1999 20:57:07 +0000
parents 797268ecc331
children c5536bad4c24
line wrap: on
line diff
--- a/packages/hal/arm/cma230/current/misc/STUBS_config
+++ b/packages/hal/arm/cma230/current/misc/STUBS_config
@@ -1,6 +1,23 @@
 #! /bin/sh
+# Configure ARM/CMA230 eCos to create CMA230 GDB stubs
+# Ensure that PATH include the directory where the ARM tools reside.
+#
+# Run from an empty temporary directory with one argument: the path to
+# the packages directory (i.e., where pkgconf.tcl lives).
+#
+# Output file is in the directory hal/arm/cma230/<version>/misc.
+#  gdb_module.bin: suitable for EPROM programming
 
-tcl $1/pkgconf.tcl                                         \
+if ( echo | tclsh ) 2>/dev/null ; then
+  TCL=tclsh
+elif ( echo | cygtclsh80 ) 2>/dev/null ; then
+  TCL=cygtclsh80
+else
+  echo Could not find TCL interpreter
+  exit 1
+fi
+
+$TCL $1/pkgconf.tcl                                         \
   --target=arm --platform=cma230 --startup=stubs                      \
   --disable CYGPKG_KERNEL --disable CYGPKG_UITRON                     \
   --disable CYGPKG_LIBC --disable CYGPKG_LIBM                         \
@@ -9,20 +26,32 @@ tcl $1/pkgconf.tcl                      
   --disable CYGPKG_DEVICES_WATCHDOG
 
 patch <<END_OF_PATCH -p0
---- pkgconf/hal.h~      Wed Mar 10 13:08:58 1999
-+++ pkgconf/hal.h       Thu Mar 11 15:53:16 1999
+--- pkgconf/hal.h.orig	Fri Oct 22 09:32:14 1999
++++ pkgconf/hal.h	Wed Oct 27 11:15:09 1999
+@@ -110,7 +110,7 @@
+  }
+ 
+  }}CFG_DATA */
+-#define CYGFUN_HAL_COMMON_KERNEL_SUPPORT
++#undef CYGFUN_HAL_COMMON_KERNEL_SUPPORT
+ 
+ /* {{CFG_DATA
+    
 @@ -382,10 +382,10 @@
  
     }}CFG_DATA */
  
 -#undef   CYGDBG_HAL_DEBUG_GDB_INCLUDE_STUBS
-+#define   CYGDBG_HAL_DEBUG_GDB_INCLUDE_STUBS
++#define  CYGDBG_HAL_DEBUG_GDB_INCLUDE_STUBS
  #undef   CYGDBG_HAL_DEBUG_GDB_BREAK_SUPPORT
 -#define  CYGDBG_HAL_DEBUG_GDB_CTRLC_SUPPORT
 -#define  CYGDBG_HAL_DEBUG_GDB_THREAD_SUPPORT
-+#undef  CYGDBG_HAL_DEBUG_GDB_CTRLC_SUPPORT
-+#undef  CYGDBG_HAL_DEBUG_GDB_THREAD_SUPPORT
++#undef   CYGDBG_HAL_DEBUG_GDB_CTRLC_SUPPORT
++#undef   CYGDBG_HAL_DEBUG_GDB_THREAD_SUPPORT
  
  /*
   * NOTE:
 END_OF_PATCH
+
+make
+make misc